import request from '@/utils/request'

// 查询转正审批列表
export function listConfirmationManage(query) {
    return request({
        url: '/confirmationmanage/confirmationmanage/list',
        method: 'get',
        params: query
    })
}

// 查询转正审批详细
export function getConfirmationManage(id) {
    return request({
        url: '/confirmationmanage/confirmationmanage/' + id,
        method: 'get'
    })
}

// 新增转正审批
export function addConfirmationManage(data) {
    return request({
        url: '/confirmationmanage/confirmationmanage',
        method: 'post',
        data: data
    })
}

// 修改转正审批
export function updateConfirmationManage(data) {
    return request({
        url: '/confirmationmanage/confirmationmanage',
        method: 'put',
        data: data
    })
}

// 删除转正审批
export function delConfirmationManage(id) {
    return request({
        url: '/confirmationmanage/confirmationmanage/' + id,
        method: 'delete'
    })
}
// 获取全部审批流程
export function getAllapproveList(id) {
    return request({
        url: '/approvalConfiguration/getNodeList/' + id,
        method: 'get'
    })
}
export function updateRegular(data) {
    return request({
        url: '/confirmationmanage/confirmationmanage/updateRegular',
        method: 'post',
        data: data
    })
}

export function updateRegular2(data) {
    return request({
        url: '/confirmationmanage/confirmationmanage/updateRegular2',
        method: 'post',
        data: data
    })
}
export function getCountCurrentRegularizationInTenDays() {
    return request({
        url: '/confirmationmanage/confirmationmanage/getCountCurrentRegularizationInTenDays',
        method: 'get',
    })
}
